## golang-github-valyala-fasthttp 1.67.0

=== examples/client/Makefile ===
client: clean
	go get -u github.com/valyala/fasthttp
	go build

clean:
	rm -f client

=== examples/host_client/Makefile ===
host_client: clean
	go get -u github.com/valyala/fasthttp
	go build

clean:
	rm -f host_client

=== examples/multidomain/Makefile ===
writer: clean
	go get -u github.com/valyala/fasthttp
	go build

clean:
	rm -f multidomain

## golang-github-valyala-fasthttp 1.31.0

=== debian/changelog ===
golang-github-valyala-fasthttp (1:1.31.0-4) unstable; urgency=medium

  [ Guillem Jover ]
  * Update debian/watch file.

  [ Nobuhiro Iwamatsu ]
  * Add d/patches/0001-bytesconv-add-appropriate-build-tags-for-s390x.patch
    Add appropriate build tags for s390x. This fixes an autopkgtest regression
    on this architecture (Closes: #1008050, LP: #1965134).
    Thanks to Nick Rosbrook <nick.rosbrook@canonical.com>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 07 May 2022 16:35:07 +0900

golang-github-valyala-fasthttp (1:1.31.0-3) unstable; urgency=medium

  * Team upload.
  * Replace timeout increasing patch with ignoring tests on arm CPU arches.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 29 Nov 2021 12:48:27 +0100

golang-github-valyala-fasthttp (1:1.31.0-2) unstable; urgency=medium

  * Team upload.
  * Increase the timeouts in the test suite.
  * Lower case first word on package synopsis.
  * Mark -dev package as Multi-Arch: foreign.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 26 Nov 2021 19:25:49 +0100

golang-github-valyala-fasthttp (1:1.31.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Alois Micard ]
  * Fix various Lintian warnings.
  * Remove dummy file.

  [ Guillem Jover ]
  * New upstream release (bump epoch due to upstream versioning reset).
  * Update .gitignore files.
  * Update debian/watch file to format 4.
  * Update gitlab-ci.yml from its upstream source.
  * Update gbp packaging workflow.
  * Switch to debhelper-compat level 13.
  * Switch to dh-sequence-golang from dh-golang and --with=golang.
  * Wrap and sort -sat.
  * Remove redundant copyright and license name from License field.
  * Switch Section from devel to golang.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Use execute_after_ instead of overide_ and explicit dh_ call.
  * Specify --builddirectory=_build.
  * Update dependencies for 1.31.0 release.
  * Update Go Team Maintainer address.
  * Include README.md and stop ignoring tests results.
  * Remove unused ${shlibs:Depends} from Depends field.
  * Update copyright claims and years.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 22 Nov 2021 16:46:12 +0100

golang-github-valyala-fasthttp (20160617-2) unstable; urgency=medium

  * Add debian/gitlab-ci.yml.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 30 Mar 2018 12:39:52 +0900

golang-github-valyala-fasthttp (20160617-1) unstable; urgency=medium

  * Initial release (Closes: #890629)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 15 Dec 2017 12:23:51 +0900

=== debian/control ===
Source: golang-github-valyala-fasthttp
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Nobuhiro Iwamatsu <iwamatsu@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-andybalholm-brotli-dev,
 golang-github-klauspost-compress-dev,
 golang-github-valyala-bytebufferpool-dev,
 golang-github-valyala-tcplisten-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-sys-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/valyala/fasthttp
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-valyala-fasthttp
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-valyala-fasthttp.git
XS-Go-Import-Path: github.com/valyala/fasthttp
Testsuite: autopkgtest-pkg-go

Package: golang-github-valyala-fasthttp-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-andybalholm-brotli-dev,
 golang-github-klauspost-compress-dev,
 golang-github-valyala-bytebufferpool-dev,
 golang-github-valyala-tcplisten-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-sys-dev,
 ${misc:Depends},
Description: fast HTTP library for Go
 The fasthttp library provides fast HTTP server and client API.
 .
 This tuned for high performance, and zero memory allocations in
 hot paths. Processing performance is up to 10x faster than net/http.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DH_GOLANG_INSTALL_EXTRA := \
	README.md \
	# EOL

%:
	dh $@ --buildsystem=golang --builddirectory=_build

execute_after_dh_auto_install:
	# Remove binary.
	rm -rf debian/golang-github-valyala-fasthttp-dev/usr/bin

# Tests on arm-based architectures timeout.
ifeq ($(DEB_HOST_ARCH_CPU),arm)
override_dh_auto_test:
	-dh_auto_test
endif

## golang-github-valyala-fasthttp 1.56.0

=== debian/changelog ===
golang-github-valyala-fasthttp (1:1.56.0-2) unstable; urgency=medium

  * Skip further tests that require network accesses.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 07 Oct 2024 20:53:26 +0200

golang-github-valyala-fasthttp (1:1.56.0-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 01 Oct 2024 01:38:35 +0200

golang-github-valyala-fasthttp (1:1.55.0-2) unstable; urgency=medium

  * Do not ignore timeout test errors on arm CPUs.
  * Skip tests that require network access.
  * Add a lintian override for the README.md installation.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 09 Sep 2024 23:22:19 +0200

golang-github-valyala-fasthttp (1:1.55.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch merged upstream.
  * Add myself to Uploaders.
  * Switch to Standards-Version 4.7.0 (no changes needed).
  * Wrap and sort debian/copyright.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Thu, 29 Aug 2024 20:49:37 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Nobuhiro Iwamatsu <iwamatsu@debian.org>,
+ Guillem Jover <gjover@sipwise.com>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -15,7 +16,7 @@
  golang-golang-x-crypto-dev,
  golang-golang-x-net-dev,
  golang-golang-x-sys-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/valyala/fasthttp
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-valyala-fasthttp

## golang-github-valyala-fasthttp 1.58.0

=== debian/changelog ===
golang-github-valyala-fasthttp (1:1.58.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Sat, 01 Feb 2025 00:33:29 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := \
	README.md \
	# EOL

%:
	dh $@ --buildsystem=golang --builddirectory=_build

execute_after_dh_auto_install:
	# Remove binary.
	rm -rf debian/golang-github-valyala-fasthttp-dev/usr/bin

override_dh_auto_test:
	dh_auto_test -- -short

## golang-github-valyala-fasthttp 1.59.0

=== debian/changelog ===
golang-github-valyala-fasthttp (1:1.59.0-2) unstable; urgency=medium

  * Fix range check for 32-bit value on 32-bit arches.

 -- Guillem Jover <gjover@sipwise.com>  Thu, 27 Feb 2025 20:15:13 +0100

golang-github-valyala-fasthttp (1:1.59.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop golang-github-valyala-tcplisten-dev dependencies, module has been
    absorbed.
  * Switch to Standards-Version 4.7.1 (no changes needed).
  * Pass --no-binaries to dh_auto_install instead of removing after the fact.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 25 Feb 2025 22:49:57 +0100

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,10 @@
  golang-github-andybalholm-brotli-dev,
  golang-github-klauspost-compress-dev,
  golang-github-valyala-bytebufferpool-dev,
- golang-github-valyala-tcplisten-dev,
  golang-golang-x-crypto-dev,
  golang-golang-x-net-dev,
  golang-golang-x-sys-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Homepage: https://github.com/valyala/fasthttp
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-valyala-fasthttp
@@ -31,7 +30,6 @@
  golang-github-andybalholm-brotli-dev,
  golang-github-klauspost-compress-dev,
  golang-github-valyala-bytebufferpool-dev,
- golang-github-valyala-tcplisten-dev,
  golang-golang-x-crypto-dev,
  golang-golang-x-net-dev,
  golang-golang-x-sys-dev,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/valyala/fasthttp/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-valyala-fasthttp 1.67.0

=== debian/changelog ===
golang-github-valyala-fasthttp (1:1.67.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use watch v5.
  * Drop Rules-Requires-Root: no.
  * Standards-Version: 4.7.2.
  * Improve watch file for date tags.
  * Refresh patches.
  * Drop 32-bit patch fixed upstream.
  * Mark Debian-specific patch as Forwarded:not-needed.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 13 Oct 2025 08:31:03 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,7 @@
  golang-golang-x-crypto-dev,
  golang-golang-x-net-dev,
  golang-golang-x-sys-dev,
-Standards-Version: 4.7.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/valyala/fasthttp
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-valyala-fasthttp
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-valyala-fasthttp.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := \
	README.md \
	# EOL

%:
	dh $@ --buildsystem=golang --builddirectory=_build

override_dh_auto_install:
	dh_auto_install -- --no-binaries

override_dh_auto_test:
	dh_auto_test -- -short

=== debian/watch ===
Version: 5
Template: Github
Owner: valyala
Project: fasthttp
Uversion-Mangle: s/(201[0-9][0-9][0-9][0-9][0-9])/0~$1/;

## golang-github-valyala-fasthttp 20160617

=== debian/control ===
Source: golang-github-valyala-fasthttp
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-any,
               golang-github-klauspost-compress-dev
Standards-Version: 4.1.1
Homepage: https://github.com/valyala/fasthttp
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-valyala-fasthttp
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-valyala-fasthttp.git
XS-Go-Import-Path: github.com/valyala/fasthttp
Testsuite: autopkgtest-pkg-go

Package: golang-github-valyala-fasthttp-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-klauspost-compress-dev
Description: Fast HTTP library for Go
 The fasthttp library provides fast HTTP server and client API.
 .
 This tuned for high performance, and zero memory allocations in
 hot paths. Processing performance is up to 10x faster than net/http.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install
	# remove binary
	rm -rf ./debian/golang-github-valyala-fasthttp-dev/usr/bin

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-valyala-fasthttp-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/valyala/fasthttp/tags .*/v?(\d\S*)\.tar\.gz
